Pod::Weaver::Role::Plugin(3)

NAME
Pod::Weaver::Role::Plugin - a Pod::Weaver plugin

VERSION
version 3.101636

ATTRIBUTES

  plugin_name
This name must be unique among all other plugins loaded into a weaver. In general, this will be set up by the configuration reader.

  weaver
This is the Pod::Weaver object into which the plugin was loaded. In general, this will be set up when the weaver is instantiated from config.

IMPLEMENTING
This is the most basic role that all plugins must perform.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.